Bug 31536 - TUI upgrade from 7.0 default server fails while creating SWAP
TUI upgrade from 7.0 default server fails while creating SWAP
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Erik Troan
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-12 13:20 EST by Ben Levenson
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-16 10:39:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Levenson 2001-03-12 13:20:16 EST
build qa0312.0
Upgrade fails with the following traceback while creating SWAP :
Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 509, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 1129, in run
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/textw/upgrade_text.py",
line 101, in __call__
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/upgrade.py", line 166, in
createSwapFile
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/fstab.py", line 492, in
turnOnSwap
  File "/usr/lib/anaconda/isys.py", line 85, in ddfile
    os.write(fd, buf)
OSError: [Errno 28] No space left on device

steps to recreate:
1- perform TUI upgrade (FTP)
2- at Swap screen, select <OK> with default selection
	defaults: add 254 M of Swap to /usr
	which has over 3000 M of free space
3- traceback results while creating swap

After booting back into 7.0, I noticed that the (210+ M) SWAP file was
created on the 
'/' partition _NOT_ '/usr' as specified by the installer.  'df' indicated
that '/' had no 
available space.
--------------
system info:
meminfo:
        total:    used:    free:  shared: buffers:  cached:
Mem:  263716864 65437696 198279168 55148544 15798272 27025408
Swap: 271392768        0 271392768
MemTotal:    257536 kB
MemFree:     193632 kB
MemShared:    53856 kB
Buffers:      15428 kB
Cached:       26392 kB
BigTotal:         0 kB
BigFree:          0 kB
SwapTotal:   265032 kB
SwapFree:    265032 kB
-----------
fdisk -l:
Festplatte /dev/hda: 255 Kvpfe, 63 Sektoren, 1027 Zylinder
Einheiten: Zylinder mit 16065 * 512 Bytes

    Gerdt Booten  Anfang      Ende   Blvcke   ID  Dateisystemtyp
/dev/hda1   *         1         3     24066   83  Linux
/dev/hda2             4      1027   8225280    5  Erweiterte
/dev/hda5             4       452   3606561   83  Linux
/dev/hda6           453       901   3606561   83  Linux 
/dev/hda7           902       934    265041   83  Linux
/dev/hda8           935       967    265041   83  Linux
/dev/hda9           968      1000    265041   82  Linux (Auslagerung)
Comment 1 Glen Foster 2001-03-14 15:49:15 EST
This defect considered MUST-FIX (Show-stopper) for Florence Gold
Comment 2 Brent Fox 2001-03-16 10:39:22 EST
Fixed in cvs.  Please double check me on this one and verify against the latest
trees.  I tested this all yesterday, but another pair of eyes would help.
Comment 3 Ben Levenson 2001-04-04 19:08:38 EDT
fix verified. closing.

Note You need to log in before you can comment on or make changes to this bug.